import { PolicyStatement } from './policy-statement';
import { PolicyStatementProps } from "@aws-cdk/aws-iam";
/**
 * Action provider for all services
 */
export declare class All extends PolicyStatement {
    /**
     * Action provider for all services.
     *
     * Use this provider to globally allow/deny actions, based on global conditions.
     *
     */
    constructor(props?: PolicyStatementProps);
}
